From: Markus Koschany <apo@debian.org>
Date: Sat, 14 Dec 2019 15:56:38 +0100
Subject: 0021-dont-test-unsupported-ciphers

---
 test/org/apache/tomcat/util/net/openssl/ciphers/TesterOpenSSL.java | 1 +
 1 file changed, 1 insertion(+)

diff --git a/test/org/apache/tomcat/util/net/openssl/ciphers/TesterOpenSSL.java b/test/org/apache/tomcat/util/net/openssl/ciphers/TesterOpenSSL.java
index 95ab187..35183ab 100644
--- a/test/org/apache/tomcat/util/net/openssl/ciphers/TesterOpenSSL.java
+++ b/test/org/apache/tomcat/util/net/openssl/ciphers/TesterOpenSSL.java
@@ -106,6 +106,7 @@ public class TesterOpenSSL {
         unimplemented.add(Cipher.SSL2_RC4_128_EXPORT40_WITH_MD5);
         unimplemented.add(Cipher.SSL2_IDEA_128_CBC_WITH_MD5);
         unimplemented.add(Cipher.SSL2_DES_192_EDE3_CBC_WITH_MD5);
+        unimplemented.add(Cipher.TLS_RSA_WITH_IDEA_CBC_SHA);
 
         // These are TLS v1.3 cipher suites
         // Java does not currently support these so they are excluded from the
